var MyContract = artifacts.require("./MyTest.sol");

// getGasPrice возвращает цену газа в Wei
MyContract.web3.eth.getGasPrice(function(error, result){
    var gasPrice = Number(result);
    console.log("Current gasPrice is " + gasPrice + " wei");

    // Получаем ссылку на объект контракта
    MyContract.deployed().then(function(instance) {

        // Запрашиваем оценку газа из функции giveAwayDividend()
        return instance.giveAwayDividend.estimateGas(1);

    }).then(function(result) {
        var gas = Number(result);

        console.log("Total gas estimation = " + gas + " units");
        console.log("Total Transaction Cost estimation in Wei = " + (gas * gasPrice) + " wei");
        console.log("Total Transaction Cost estimation in Ether = " + MyContract.web3.fromWei((gas * gasPrice), 'ether') + " Ether");
    });
});